# DAQ System with Beaglebone Black using serial communication

This repositori contains C code to implement a DAQ system with a Beaglebone Black using serial communication with sensors.
Sensors used in this system are: GC-0017 (Cabron dioxide), CM-31910 (Carbon monoxide, and temperature) and OX-0052 (Oxigen).

### Installing

To get this repositore you just need to clone it to your Beaglebone Black

```
git clone https://gitlab.com/sayeth.rd/daq-serial-bbb/
```

### Utilization

To run this code and commincate with sensors, you first have to configure UARTs ports, configuring GPIOs as uart running the commands
```
config-pin 9_24 uart
config-pin 9_26 uart
```
to configure UART1 port
```
config-pin 9_21 uart
config-pin 9_22 uart
```
to configure UART2 port, and
```
config-pin 9_11 uart
config-pin 9_13 uart
```
to configure UART4 port.
Then you can run the code wih this comand:

```
./daq
```

If you need to make any changes to the code you can recompile again with this command:
```
gcc daq.c -o daq
```
